Name:           magicor
Version:        1.1
Release:        25%{?dist}
Summary:        Push ice blocks around to extinguish all fires
License:        Public Domain
URL:            http://magicor.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-source-%{version}.tar.gz
Source1:        http://downloads.sourceforge.net/%{name}/%{name}-data-%{version}.tar.gz
Source2:        %{name}.desktop
Source3:        %{name}.png
Source4:        %{name}.appdata.xml
Patch0:         magicor-1.1-soundvol.patch
BuildRequires:  python2 python2-rpm-macros desktop-file-utils libappstream-glib
BuildArch:      noarch
Requires:       python2-pygame hicolor-icon-theme libmikmod

%description
The goal of the game is to annihilate all burning fires. You do this
by pushing blocks of ice until they collide with a burning fire.
When the ice blocks hit burning fire the block and the fire are destroyed.
Once all fires are extinguished the level is completed.


%prep
%setup -q -b 1
%patch0 -p1
sed -i 's:###CONFIG_PATH###:%{_sysconfdir}/%{name}.conf:' *.py
sed -i 's:###SHARE_PATH###:%{_datadir}/%{name}:' etc/*.conf
sed -i 's:/usr/bin/python:/usr/bin/python2:' *.py


%build
# nothing to build, python code + data only


%install
rm -rf $RPM_BUILD_ROOT
# We must do a DIY install as the makefile doesn't support installing into
# an install root
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir} $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{python2_sitelib}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 etc/*.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m 755 Magicor.py $RPM_BUILD_ROOT%{_bindir}/magicor
install -m 755 Magicor-LevelEditor.py $RPM_BUILD_ROOT%{_bindir}/magicor-editor
cp -fr magicor/* $RPM_BUILD_ROOT%{python2_sitelib}/%{name}
cp -fr data/* $RPM_BUILD_ROOT%{_datadir}/%{name}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/appdata
appstream-util validate-relax --nonet \
  $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml


%files
%doc README
%license LICENSE
%config(noreplace) %{_sysconfdir}/%{name}*.conf
%{_bindir}/%{name}*
%{python2_sitelib}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Mon Feb 18 2019 Hans de Goede <hdegoede@redhat.com> - 1.1-25
- Fix FTBFS (rhbz#1675345)
- Modernize the spec file a bit
- Add appdata

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1-21
- Remove obsolete scriptlets

* Tue Jan 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.1-20
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-17
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1-12
- Remove --vendor from desktop-file-install https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug  4 2010 Hans de Goede <hdegoede@redhat.com> - 1.1-7
- Add missing Requires libmikmod (#620995)
- Set sound and music vol to something sane when no config file is found

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jan  7 2010 Hans de Goede <hdegoede@redhat.com> - 1.1-5
- Change python_sitelib macro to use %%global as the new rpm will break
  using %%define here, see:
  https://www.redhat.com/archives/fedora-devel-list/2010-January/msg00093.html

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1-2
- Rebuild for Python 2.6

* Wed Jul  9 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1-1
- New upstream release 1.1

* Wed Dec 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1-0.1.rc1
- New upstream release 1.1-rc1
- Add python as BuildRequires so that %%python_sitelib gets expanded properly,
  this fixes magicor not working at all atm (bz 421211)

* Thu Dec 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.0-0.3.rc2
- Rebuild for new Python

* Fri Nov 24 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-0.2.rc2
- New upstream release 1.0-rc2

* Thu Nov  2 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-0.1.rc1
- New upstream release 1.0-rc1

* Sat Oct 21 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1-2
- Mark /etc/magicor.conf %%config(noreplace)

* Sat Oct 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1-1
- Initial Fedora Extras package
